# https://www.mpscholten.de/nixos/2016/07/07/private-github-repositories-and-nixos.html
# https://nixos.org/wiki/FAQ#How_do_I_know_the_sha256_to_use_with_fetchgit.3F

with import <nixpkgs> {};

stdenv.mkDerivation rec {
  version="v4";
  name = "modern-blog-${version}";
  src = fetchgit {
    #url = "https://github.com/r6d/r6d.github.io.git";
    
    #url = "file:///media/Sata2700/r6d.github.io";
    #sha256 = "1vjm1ksqxfiq9a0zsx8bx022zgzz52715ym8jdhgz4qk4i5m5mz2";
    
    url = "file:///media/Sata2700/Jekyll_modern-blog";
    #sha256 = "172bqfacblywrd14vla41lvbvw4a6bngcyg6c3sd1xlh9mc5xclc";
    sha256 = "17xjgs816xpppr726clkqmg4vmm8pjyrqr243isblnfsx8bcacli";
  };
  buildInputs = [ jekyll ];
  buildPhase = "jekyll build";
  installPhase = "cp -R _site \$out";
}
